IPhysics: IPhysicsBaseEntity Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsBaseEntity Class Reference

`#include <IPhysicsBaseEntity.h>`

Inherits IPhysicsBodyModifier.

Inherited by IPhysicsCar, and IPhysicsEntity.

List of all members.

## Public Member Functions

virtual void | setPosition (vector3df position)=0
| Set the position.
virtual void | setRotation (vector3df rotation)=0
| Set the rotation.
virtual void | setScale (vector3df scale)=0
| Set the scale.
virtual vector3df | getPosition ()=0
| Get position.
virtual vector3df | getRotation ()=0
| Get rotation.
virtual vector3df | getScale ()=0
| Get scale.
virtual NewtonBody * | getBody ()=0
| Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.
virtual ISceneNode * | getNode ()=0
| Get a pointer to the Irrlicht SceneNode.

## Detailed Description

The base class for all physics entities. All of the entities in IPhysics derive from this base class, so the functions detailed here will always be available. This is useful if you want to have a list of different entity types, and you can use getEntityType() to determine what derived class it is safe to cast to.

## Member Function Documentation

virtual void IPhysicsBaseEntity::setPosition | ( | vector3df | position | ) | `[pure virtual]`

Set the position.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual void IPhysicsBaseEntity::setRotation | ( | vector3df | rotation | ) | `[pure virtual]`

Set the rotation.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual void IPhysicsBaseEntity::setScale | ( | vector3df | scale | ) | `[pure virtual]`

Set the scale.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual vector3df IPhysicsBaseEntity::getPosition | ( |  | ) | `[pure virtual]`

Get position.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual vector3df IPhysicsBaseEntity::getRotation | ( |  | ) | `[pure virtual]`

Get rotation.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual vector3df IPhysicsBaseEntity::getScale | ( |  | ) | `[pure virtual]`

Get scale.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual NewtonBody* IPhysicsBaseEntity::getBody | ( |  | ) | `[pure virtual]`

Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.

Implemented in CPhysicsCar, CPhysicsEntity, IPhysicsCar, and IPhysicsEntity.

virtual ISceneNode* IPhysicsBaseEntity::getNode | ( |  | ) | `[pure virtual]`

Get a pointer to the Irrlicht SceneNode.

Implemented in CPhysicsCar, and CPhysicsEntity.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsBaseEntity.h